#
# spec file for package gajim-plugin-omemo
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name   omemo
Name:           gajim-plugin-omemo
Version:        2.6.26
Release:        1.1
Summary:        Gajim plugin for OMEMO Multi-End Message and Object Encryption
License:        GPL-3.0-only
Group:          Productivity/Networking/Talk/Clients
URL:            https://dev.gajim.org/gajim/gajim-plugins/wikis/OmemoGajimPlugin
Source:         https://ftp.gajim.org/plugins_releases/omemo_%{version}.zip
BuildRequires:  gajim >= 1.1
BuildRequires:  python3-protobuf
BuildRequires:  unzip
Requires:       gajim
Requires:       python3-axolotl
Requires:       python3-cryptography
Requires:       python3-protobuf
Requires:       python3-qrcode
BuildArch:      noarch

%description
This plugin adds support to Gajim for the OMEMO Encryption, an
XMPP Extension Protocol (XEP) for secure multi-client end-to-end
encryption based on Double Ratchet and PEP.

%prep
%setup -q -n %{_name}

%build
# Nothing to build.

%install
mkdir -p %{buildroot}%{_datadir}/gajim/plugins/%{_name}/
cp -aT . %{buildroot}%{_datadir}/gajim/plugins/%{_name}/
for f in CHANGELOG COPYING; do
    rm "%{buildroot}%{_datadir}/gajim/plugins/%{_name}/$f"
done

%files
%license COPYING
%doc CHANGELOG
%{_datadir}/gajim/plugins/%{_name}/

%changelog
* Sun Jan 13 2019 sor.alexei@meowr.ru
- Update to version 2.6.26 (changes since 2.6.23):
  * Use "current" as pubsub node id.
  * Better handle key exchange messages.
  * Fix label colour.
  * Don't add additional thread node.
  * Add fallback body.
* Tue Nov 20 2018 sor.alexei@meowr.ru
- Downgrade to version 2.6.23 (changes since 2.6.33):
  * Target Gajim 1.1.x instead of 1.2.x.
* Wed Nov  7 2018 sor.alexei@meowr.ru
- Update to version 2.6.33 (changes since 2.6.0):
  * Save encryption details to the database.
  * GUI adjustments.
  * Use new fingerprints dialogue.
  * Refactor some UI code.
  * Bugfixes.
* Fri Aug 17 2018 sor.alexei@meowr.ru
- Update to version 2.6.0:
  * Fingerprint Window: Show all fingerprints in one list.
- Use the official archive source.
- Add the missing dependencies python3-cryptography,
  python3-protobuf and python3-qrcode.
- Use words from the official description to elaborate.
- Some clean-up.
* Tue Aug 14 2018 vinz@vinzv.de
- update to 2.5.14
  * Make preparations for future Gajim versions
  * Allow writing encrypted messages in groupchats if there are no
    other participants
* Sun Jun 17 2018 vinz@vinzv.de
- update to 2.5.13
* Fri May 18 2018 vinz@vinzv.de
- update to 2.5.10
* Sun Sep 24 2017 vinz@vinzv.de
- update to 1.2.7
- renamed to more appropriate scheme gajim-plugin-omemo
* Wed Apr 12 2017 opensuse_buildservice@ojkastl.de
- update to 1.2.0
* Wed Apr  6 2016 mrueckert@suse.de
- update to 0.4
* Wed Feb 10 2016 mrueckert@suse.de
- update to 0.3
* Tue Jan  5 2016 mrueckert@suse.de
- initial package
